Skip to main content

Create STP strategy group

request

post /api/v3/strategy/group?tradeGroupName=tradeGroupOne&timestamp={{timestamp}}&signature={{signature}}

return

{
"data": {
"tradeGroupName": "tradeGroupOne",
"tradeGroupId": 91,
"createTime": 1758043350000,
"updateTime": 1758043350000
},
"code": 200,
"msg": "success",
"timestamp": 1758043350233
}
  • POST /api/v3/strategy/group

Permission: SPOT_ACCOUNT_WRITE

Weight(IP): 20

request

NameTypeMandatoryDescription
tradeGroupNamestringyesstp strategy group name
timestamplongyestimestamp
signaturestringyessignature

return

NameTypeDescription
tradeGroupNamestringstp strategy group name
tradeGroupIdstringstp strategy group id
createTimelongcreate time

Precautions:

  • Only the master account is allowed to create; sub-accounts cannot operate this endpoint
  • The STP strategy group name must be unique under the same master account
  • The STP strategy group ID is unique
  • A master account can have up to 10 strategy groups